export default {
  // global
  search: 'Search',
  accept: 'Accept',
  cancel: 'Cancel',
  refresh: 'Refresh',
  save: 'Save',
  delete: 'Delete',
  add: 'Add',
  edit: 'Edit',
  create: 'create',
  orderBy: 'Ordenar by',
  rowLimit: 'Row limit',
  dataSaved: 'Data saved!',
  noDataFound: 'No data found',
  areYouSureDelete: 'Are you sure you want to delete?',
  removedSuccess: 'Item removed successfully',
  createdSuccess: 'Item created successfully',
  fieldIsRequired: 'Field is required',
  setSearchFilter: 'Please, set a search filter',
  id: 'Id',
  today: 'Today',
  yesterday: 'Yesterday',
  tomorrow: 'Tomorrow',
  fromDate: 'From',
  toDate: 'To',
  return: 'Return',
  send: 'Send',
  date: {
    days: [
      'Sunday',
      'Monday',
      'Tuesday',
      'Wednesday',
      'Thursday',
      'Friday',
      'Saturday'
    ],
    daysShort: [
      'Sun',
      'Mon',
      'Tue',
      'Wed',
      'Thu',
      'Fri',
      'Sat'
    ],
    months: [
      'January',
      'February',
      'March',
      'April',
      'May',
      'June',
      'July',
      'August',
      'September',
      'October',
      'November',
      'December'
    ],
    shortMonths: [
      'Jan',
      'Feb',
      'Mar',
      'Apr',
      'May',
      'Jun',
      'Jul',
      'Aug',
      'Sep',
      'Oct',
      'Nov',
      'Dec'
    ]
  },

  // errors
  internalServerError: 'Internal server error',
  somethingWentWrong: 'Something went wrong',

  // Layout
  login: 'Login',
  logout: 'Logout',
  visitor: 'Visitor',

  // login
  enter: 'Enter',
  email: 'E-Mail',
  password: 'Password',
  remember: 'Don not close session',
  notRememberPassword: 'I don\'t remember my password',
  inputEmail: 'Input email',
  inputPassword: 'Input password',
  emailConfirmedSuccessfully: 'E-mail confirmed succesfully',

  // register
  register: 'Register',
  fillData: 'Fill the data',
  notYetUser: 'You are not yet a user?',
  userRegistered: 'User registered successfully, we\'ve sent you an e-mail to verify your account',
  repeatPasswordError: 'Passwords doesn\'t match',

  // recover
  rememberPassword: 'Rememeber password',
  dontWorry: 'Don\'t worry!',
  weSendEmail: 'We will sent you an email to recover your password',
  weHaveSentEmailToRecover: 'We\'ve sent you an email where you can recover your password',

  // reset
  resetPassword: 'Reset password',
  passwordResetSuccessfully: 'Password changed successfully',

  // menu
  home: 'Home',
  catalog: 'Catalog',
  orders: 'Orders',
  order: 'Pending order',
  ticket: 'Order',
  conditions: 'Conditions',
  about: 'About us',
  admin: 'Administration',
  panel: 'Control panel',
  users: 'Users',
  connections: 'Connections',
  visits: 'Visits',
  news: 'News',
  newEdit: 'Edit new',
  images: 'Images',
  items: 'Items',
  config: 'Configuration',
  user: 'User',
  addresses: 'Addresses',
  addressEdit: 'Edit address',

  // home
  recentNews: 'Recent news',
  startOrder: 'Start order',

  weThinkForYou: 'We think for you',
  everythingYouNeed: 'everything you need for your florist',
  servedOrdersAmount: '+2.000.000',
  servedOrders: 'of successfully served orders',
  nEmployees: '+290',
  employeesDedicatedToYou: 'employees dedicated to give you the best service',
  fieldsArea: '+60.000m2',
  cropsToProductGreens: 'of crops, dedicated to the production of greens',
  makeYourOrder: 'Make your order',
  byPhoneWebOrApp: 'by phone, on the web or with our app',
  realStock: 'Real stock of products',
  realOnlineStock: 'our online platform shows the real stock',
  n1InPrice: 'Nº1 in price',
  ourBigVolumeAllows: 'our big volume allows us to offer the best prices',

  // catalog
  more: 'More',
  noItemsFound: 'No items found',
  pleaseSetFilter: 'Please, set a filter using the right menu',
  buy: 'Buy',
  deleteFilter: 'Delete filter',
  viewMore: 'View more',
  viewLess: 'View less',
  from: 'from',
  deliveryDate: 'Delivery date',
  configureOrder: 'Configure order',
  categories: 'Categories',
  category: 'Category',
  family: 'Family',
  name: 'Name',
  relevancy: 'Relevancy',
  priceAsc: 'Acending price',
  priceDesc: 'Descending price',
  novelty: 'Novelty',
  available: 'Available',
  siceAsc: 'Ascending size',
  sizeDesc: 'Descencing size',

  // orders
  pending: 'Pending',
  confirmed: 'Confirmed',

  // orders
  pendingConfirmtion: 'Pending confirmation',
  noOrdersFound: 'No orders found',

  // orders
  ordersMadeAt: 'Orders made at',
  packages: '{n} packages',

  // order
  total: 'Total',
  confirm: 'Confirm',
  delivery: 'Delivery date',
  address: 'Address',
  agency: 'Agency',
  warehouse: 'Warehouse',
  configure: 'Configure',

  // order/checkout
  checkout: 'Checkout',
  orderSummary: 'Order summary',
  accountsSummary: 'Accounts summary',
  previousBalance: 'Previous balance',
  orderTotal: 'Order total',
  vat: 'VAT',
  totalDebt: 'Total debt',
  credit: 'Credit',
  exceededCredit: 'Exceeded credit',
  payAmount: 'Amount to pay',
  payMethod: 'Pay method',
  useMyBalance: 'Use my balance',
  youHaveFaborableBalance: 'You do not need to perform any payment, you have a favorable balance.',
  useMyCredit: 'Use my credit',
  youHaveFaborableCredit: 'You do not need to pay now, you have a favorable credit.',
  creditCard: 'Credit card',
  youWillRedirectToPayment: 'By confirming the order you will be redirected to the payment platform.',
  bankTransfer: 'Bank Transfer',
  makeTransfer: 'Make a transfer to the following account and send the receipt to your salesperson.',
  payLater: 'Pay later',
  doYouWantToConfirm: 'Do you want to confirm the order?',
  orderConfirmedSuccessfully: 'Your order has been confirmed successfully',
  youExceededCredit: 'You have exceeded your credit, in order to prepare your order please pay your debt.',
  notes: 'Notes',

  // conditions
  conditionsDesc: 'The order will arrive to your home in 24/48 hours depending on which area you are.',

  // about
  aboutDesc: 'Verdnatura offers all services for your florist.',

  // connections
  nConnections: '{0} connections',
  refreshRate: 'Refresh rate',
  lastAction: 'Last actions',
  sessionInit: 'Login',
  nSeconds: '{0} seconds',
  dontRefresh: 'Do not refresh',

  // accessLog
  accessLog: 'Access log',

  // visits
  visitsCount: '{0} visits, {1} new',

  // new
  title: 'Title',
  image: 'Image',
  tag: 'Tag',
  priority: 'Priority',
  text: 'Text',

  // images
  collection: 'Collection',
  updateMatchingId: 'Update items with matching id',
  uploadAutomatically: 'Upload automatically',
  imagesUploadSuccess: 'Images uploaded successfully',
  imagesUploadFailed: 'Some images could not be uploaded',

  // user
  userName: 'Username',
  nickname: 'Nickname',
  language: 'Language',
  receiveInvoiceByEmail: 'Receive invoices by email',
  passwordRequirements: 'Password requirements',
  charsLong: '{0} characters long',
  alphabeticChars: '{0} alphabetic chars',
  upperLetters: '{0} uppercase letters',
  digits: '{0} digits',
  simbols: '{0} symbols. Ex: $%&.',
  oldPassword: 'Old password',
  newPassword: 'New password',
  repeatPassword: 'Repeat password',
  changePassword: 'Change password',
  passwordCannotBeEmpty: 'Password cannot be empty',
  passwordsDontMatch: 'Passwords do not match',
  passwordChanged: 'Password changed successfully!',

  // addresses
  setAsDefault: 'Set as default',
  addressSetAsDefault: 'Address set as default',
  addressRemoved: 'Address removed',
  areYouSureDeleteAddress: 'Are you sure you want to delete the address?',
  addressCreated: 'Address created successfully!',

  // address
  consignatary: 'Consignatary',
  street: 'Street',
  city: 'City',
  postalCode: 'Postal code',
  province: 'Province',
  country: 'Country',
  phone: 'Phone',
  mobile: 'Mobile'
}
