export default {
  // Global
  search: 'Buscar',
  accept: 'Aceptar',
  cancel: 'Cancelar',
  refresh: 'Actualizar',
  save: 'Guardar',
  delete: 'Borrar',
  add: 'Añadir',
  edit: 'Editar',
  create: 'Crear',
  orderBy: 'Ordenar por',
  rowLimit: 'Límite de registros',
  dataSaved: '¡Datos guardados!',
  noDataFound: 'No se han encontrado datos',
  areYouSureDelete: '¿Seguro que quieres eliminar?',
  removedSuccess: 'Elemento eliminado correctamente',
  createdSuccess: 'Elemento creado correctamente',
  fieldIsRequired: 'Campo requerido',
  setSearchFilter: 'Por favor, establece un filtro de búsqueda',
  id: 'Id',
  today: 'Hoy',
  yesterday: 'Ayer',
  tomorrow: 'Mañana',
  fromDate: 'Desde',
  toDate: 'Hasta',
  return: 'Volver',
  send: 'Enviar',
  date: {
    days: [
      'Domingo',
      'Lunes',
      'Martes',
      'Miércoles',
      'Jueves',
      'Viernes',
      'Sábado'
    ],
    daysShort: [
      'Do',
      'Lu',
      'Mi',
      'Mi',
      'Ju',
      'Vi',
      'Sa'
    ],
    months: [
      'Enero',
      'Febrero',
      'Marzo',
      'Abril',
      'Mayo',
      'Junio',
      'Julio',
      'Agosto',
      'Septiembre',
      'Octubre',
      'Noviembre',
      'Diciembre'
    ],
    shortMonths: [
      'Ene',
      'Feb',
      'Mar',
      'Abr',
      'May',
      'Jun',
      'Jul',
      'Ago',
      'Sep',
      'Oct',
      'Nov',
      'Dic'
    ]
  },

  // Errors
  internalServerError: 'Error interno del servidor',
  somethingWentWrong: 'Algo salió mal',

  // MainLayout
  login: 'Iniciar sesión',
  logout: 'Cerrar sesión',

  // Login
  enter: 'Entrar',
  email: 'Correo electrónico',
  password: 'Contraseña',
  remember: 'No cerrar sesión',
  notRememberPassword: 'No recuerdo mi contraseña',
  inputEmail: 'Introduce el correo electrónico',
  inputPassword: 'Introduce la contraseña',
  emailConfirmedSuccessfully: 'Correo verificado correctamente',

  // Register
  register: 'Registrarme',
  fillData: 'Rellena los datos',
  notYetUser: '¿Todavía no eres usuario?',
  userRegistered: 'Usuario registrado correctamente, te hemos enviado un correo para verificar tu dirección',
  repeatPasswordError: 'Las contraseñas no coinciden',

  // Recover
  rememberPassword: 'Recordar contraseña',
  dontWorry: '¡No te preocupes!',
  weSendEmail: 'Te enviaremos un correo para restablecer tu contraseña',
  weHaveSentEmailToRecover: 'Te hemos enviado un correo donde podrás recuperar tu contraseña',

  // Reset
  resetPassword: 'Restaurar contraseña',
  passwordResetSuccessfully: 'Contraseña modificada correctamente',

  // Menu
  home: 'Inicio',
  catalog: 'Catálogo',
  orders: 'Pedidos',
  order: 'Pedido pendiente',
  ticket: 'Pedido',
  conditions: 'Condiciones',
  about: 'Sobre nosotros',
  admin: 'Administración',
  panel: 'Panel de control',
  users: 'Usuarios',
  connections: 'Conexiones',
  visits: 'Visitas',
  news: 'Noticias',
  newEdit: 'Editar noticia',
  images: 'Imágenes',
  items: 'Artículos',
  config: 'Configuración',
  user: 'Usuario',
  addresses: 'Direcciones',
  addressEdit: 'Editar dirección',

  // Home
  recentNews: 'Noticias recientes',
  startOrder: 'Empezar pedido',

  weThinkForYou: 'Pensamos para tí',
  everythingYouNeed: 'todo lo que necesitas para tu floristería',
  servedOrdersAmount: '+2.000.000',
  servedOrders: 'de pedidos servidos',
  nEmployees: '+290',
  employeesDedicatedToYou: 'empleados para ofrecerte el mejor servicio',
  fieldsArea: '+60.000m2',
  cropsToProductGreens: 'de campos, dedicados a la producción de verde',
  makeYourOrder: 'Haz tu pedido',
  byPhoneWebOrApp: 'por teléfono, en la web o con nuestra aplicación móvil',
  realStock: 'Stock real de productos',
  realOnlineStock: 'nuestra plataforma en línea muestra el stock en tiempo real',
  n1InPrice: 'Nº1 en precio',
  ourBigVolumeAllows: 'Nuestro gran volumen nos permite ofrecerte los mejores precios',

  // Catalog
  more: 'Más',
  noItemsFound: 'No se han encontrado artículos',
  pleaseSetFilter: 'Por favor, establece un filtro usando el menú de la derecha',
  buy: 'Comprar',
  deleteFilter: 'Eliminar filtro',
  viewMore: 'Ver más',
  viewLess: 'Ver menos',
  from: 'desde',
  deliveryDate: 'Fecha de entrega',
  configureOrder: 'Configurar pedido',
  categories: 'Categorias',
  category: 'Categoria',
  family: 'Familia',
  name: 'Nombre',
  relevancy: 'Relevancia',
  priceAsc: 'Precio ascendente',
  priceDesc: 'Precio descendente',
  novelty: 'Novedad',
  available: 'Disponible',
  siceAsc: 'Medida ascendente',
  sizeDesc: 'Medida descendente',

  // Orders
  pending: 'Pendientes',
  confirmed: 'Confirmados',

  // Pending
  pendingConfirmtion: 'Pendientes de confirmar',
  noOrdersFound: 'No se han encontrado pedidos',

  // Confirmed
  ordersMadeAt: 'Pedidos realizados en',
  packages: '{n} bultos',

  // Order
  total: 'Total',
  confirm: 'Confirmar',
  delivery: 'Fecha de entrega',
  address: 'Dirección',
  agency: 'Agencia',
  warehouse: 'Almacén',
  configure: 'Configurar',

  // OrderRows

  rows: 'Lineas',

  // OrderConfigure

  deliveryMethod: 'Método de entrega',
  pickupDate: 'Fecha de recogida',
  deliveryAgency: 'Agencia de transporte',
  pickupStore: 'Almacén de recogida',
  deliveryAddress: 'Dirección de entrega',
  optionalAddress: 'Dirección (Opcional)',
  optionalAddressInfo: 'Para pedidos de recogida la dirección se utiliza como referencia cuando se dispone de varias direcciones y evitar que pedidos de tiendas diferentes se fusionen',
  addressHint: 'Las fechas de entrega varian en función de la dirección',
  storePickup: 'Recogida en almacén',
  homeDelivery: 'Entrega a domicilio',

  // OrderCheckout
  checkout: 'Finalizar pedido',
  orderSummary: 'Resumen del pedido',
  accountsSummary: 'Resumen de cuentas',
  previousBalance: 'Saldo anterior',
  orderTotal: 'Total pedido',
  vat: 'IVA',
  totalDebt: 'Total deuda',
  credit: 'Crédito',
  exceededCredit: 'Crédito excedido',
  payAmount: 'Cantidad a pagar',
  payMethod: 'Método de pago',
  useMyBalance: 'Usar mi saldo',
  youHaveFaborableBalance: 'No necesitas pagar nada, tienes un saldo favorable.',
  useMyCredit: 'Usar mi crédito',
  youHaveFaborableCredit: 'No necesitas pagar nada, tienes crédito favorable.',
  creditCard: 'Tarjeta de crédito',
  youWillRedirectToPayment: 'Al confirmar el pedido serás redirigido a la plataforma de pago.',
  bankTransfer: 'Transferencia bancaria',
  makeTransfer: 'Haz una transferecia a la siguiente cuenta y enví­a el justificante a tu comercial.',
  payLater: 'Pagar más tarde',
  doYouWantToConfirm: '¿Deseas confirmar el pedido?',
  orderConfirmedSuccessfully: 'Tu pedido ha sido realizado con éxito',
  youExceededCredit: 'Has excedido tu crédito, por favor realiza el pago para que podamos preparar tu pedido.',
  notes: 'Notas',

  // Conditions
  conditionsDesc: 'Te aseguramos que el pedido llegara a tu casa/tienda en menos de 24/48 horas (Dependiendo de en que zona te encuentres).',

  // About
  aboutDesc: 'Verdnatura te ofrece todos los servicios que necesita tu floristería.',

  // Connections
  nConnections: '{0} connexiones',
  refreshRate: 'Frecuencia de actualización',
  lastAction: 'Última acción',
  sessionInit: 'Inicio sesión',
  nSeconds: '{0} segundos',
  dontRefresh: 'No refrescar',

  // AccessLog
  accessLog: 'Registro de accesos',

  // Visits
  visitsCount: '{0} visitas, {1} nuevas',

  // New
  title: 'Título',
  image: 'Imagen',
  tag: 'Etiqueta',
  priority: 'Prioridad',
  text: 'Texto',

  // Images
  collection: 'Colección',
  updateMatchingId: 'Actualizar ítems con id coincidente',
  uploadAutomatically: 'Subir automáticamente',
  imagesUploadSuccess: 'Imágenes subidas correctamente',
  imagesUploadFailed: 'Algunas imágenes no se ha podido subir',

  // User
  userName: 'Nombre de usuario',
  nickname: 'Nombre a mostrar',
  language: 'Idioma',
  receiveInvoiceByEmail: 'Recibir facturas por correo eletrónico',
  passwordRequirements: 'Requisitos de contraseña',
  charsLong: '{0} carácteres de longitud',
  alphabeticChars: '{0} carácteres alfabéticos',
  upperLetters: '{0} letras mayúsculas',
  digits: '{0} dígitos',
  simbols: '{0} símbolos. Ej: $%&.',
  oldPassword: 'Antigua contraseña',
  newPassword: 'Nueva contraseña',
  repeatPassword: 'Repetir contraseña',
  changePassword: 'Cambiar contraseña',
  passwordCannotBeEmpty: 'La contraseña no puede estar vacía',
  passwordsDontMatch: 'Las contraseñas no coinciden',
  passwordChanged: '¡Contraseña modificada correctamente!',

  // Addresses
  setAsDefault: 'Establecer como predeterminada',
  addressSetAsDefault: 'Dirección establecida como predeterminada',
  addressRemoved: 'Dirección eliminada',
  areYouSureDeleteAddress: '¿Seguro que quieres eliminar la dirección?',
  addressCreated: '¡Dirección creada correctamente!',

  // Address
  consignatary: 'Consignatario',
  street: 'Dirección',
  city: 'City',
  postalCode: 'Código postal',
  province: 'Provincia',
  country: 'País',
  phone: 'Teléfono',
  mobile: 'Móvil'
}
